using UnityEngine;

public class RandomPlacement : MonoBehaviour 
{
    public Vector3 Variance;

    void Start()
    {
        Vector3 p = transform.localPosition;
        Vector3 v = Variance;
        transform.localPosition = new Vector3(
                                    p.x + v.x * Random.Range(-1f, 1f),
                                    p.y + v.y * Random.Range(-1f, 1f),
                                    1
                                );
    }
}
